summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorDaniel Mrzyglod <danielx.t.mrzyglod@intel.com>2014-10-10 11:08:08 +0100
committerThomas Monjalon <thomas.monjalon@6wind.com>2014-10-10 17:50:31 +0200
commitee1a5470faa751c1fd07d23b86659fe7a68fd251 (patch)
treecf5ef93d4b49b0ae46e815863f9b6996a05cf5e0 /tools
parentafe9637e7b7a797a65d219035558d7d1e1862ad7 (diff)
downloaddpdk-ee1a5470faa751c1fd07d23b86659fe7a68fd251.zip
dpdk-ee1a5470faa751c1fd07d23b86659fe7a68fd251.tar.gz
dpdk-ee1a5470faa751c1fd07d23b86659fe7a68fd251.tar.xz
tools: fix setup script for Fedora 21
script was expecting /lib/modules/$(uname -r)/kernel/drivers/uio/uio.ko but in fedora 21 there are Compressed kernel modules - xz (LZMA) Signed-off-by: Daniel Mrzyglod <danielx.t.mrzyglod@intel.com> Acked-by: Neil Horman <nhorman@tuxdriver.com>
Diffstat (limited to 'tools')
-rwxr-xr-xtools/setup.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/tools/setup.sh b/tools/setup.sh
index 369e09e..245900f 100755
--- a/tools/setup.sh
+++ b/tools/setup.sh
@@ -169,7 +169,8 @@ load_igb_uio_module()
/sbin/lsmod | grep -s uio > /dev/null
if [ $? -ne 0 ] ; then
- if [ -f /lib/modules/$(uname -r)/kernel/drivers/uio/uio.ko ] ; then
+ modinfo uio > /dev/null
+ if [ $? -eq 0 ]; then
echo "Loading uio module"
sudo /sbin/modprobe uio
fi